## fusion-icon 0.2.4

=== Makefile ===
PREFIX = '/usr'
DESTDIR = '/'
interfaces = 'qt gtk'

all:
	@python setup.py build

install:
	@python setup.py install --prefix=${PREFIX} --root=${DESTDIR}

uninstall:
	@python setup.py uninstall

clean:
	rm -rf build/

## fusion-icon 0.1.0-2ubuntu1-1mint2

=== debian/changelog ===
fusion-icon (0.1.0-2ubuntu1-1mint2) maya; urgency=low

  * Added support for Marco/MATE

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Jun 2012 16:51:54 +0100

fusion-icon (0.1.0-2ubuntu1-1mint1) katya; urgency=low

  * Changed category in desktop file

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 30 Apr 2011 11:00:00 +0000

fusion-icon (0.1.0-2ubuntu1) natty; urgency=low

  * decor-plugin.patch: Use "decor" plugin in compiz 0.9. Thanks pi-rho for
    the patch (LP: #192389)

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 19 Apr 2011 00:06:36 +0200

fusion-icon (0.1.0-2) unstable; urgency=low

  [ Siegfried-Angel Gevatter Pujals ]
  * debian/control:
     - Add missing dependency on a window decorator (compiz-gtk or compiz-kde).
       The versioned alternative dependency on compiz-gnome is necessary
       because Ubuntu has the contents of compiz-gtk in it. (Closes: #498581).

  [ Sandro Tosi ]
  * debian/control
    - Switch Vcs-Browser field to viewsvn.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 12 Oct 2008 13:18:36 +0200

fusion-icon (0.1.0-1) unstable; urgency=low

  * New upstream version.
  * debian/patches/glx_vendor_crash.patch:
     - Drop it, not necessary anymore.
  * debian/control:
     - Add x11-utils as a dependency, because Fusion Icon requires xvinfo;
       thanks to Daniel Moerner for reporting this (Closes: #485709).
     - Improve the second paragraph of the long description.
  * debian/copyright:
     - Add a reference to the tarballs directory on Alioth, where copies of
       all used snapshots are stored.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Wed, 11 Jun 2008 12:29:55 +0200

fusion-icon (0.0.0+git20071028-3) unstable; urgency=low

  * debian/copyright:
     - Add the author's e-mail address.
  * debian/fusion-icon.1:
     - Mention Fusion Icon's author in the Copyright section.
  * debian/rules:
     - Add a missing dh_desktop call.
  * debian/control:
     - Add mesa-utils as a dependency, because Fusion Icon requires glxinfo;
       thanks to Daniel Campos for reporting this (Closes: #478498).
     - Raise debhelper's minimum version because of the dh_icons call.
  * debian/menu:
     - Change the formatting to use multiple lines instead of just two.
  * debian/patches/update-desktop-file.patch:
     - Improve the previously added translations of the .desktop file.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Fri, 21 Mar 2008 20:55:03 +0100

fusion-icon (0.0.0+git20071028-2) unstable; urgency=medium

  * debian/control:
     - Bump python-central build dependency's minimum version to 0.6.0.
     - Remove "${shlibs:Depends}" from Depends.
  * debian/rules:
     - Do not try to remove usr/lib, as python-central doesn't create it
       anymore now (Closes: #472010).
     - Remove unnecessary explicit dh_pycentral call.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Fri, 21 Mar 2008 19:57:39 +0100

fusion-icon (0.0.0+git20071028-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #461769).
  * debian/rules:
     - Change priority from "extra" to "optional".
     - Change the Maintainer to myself and add the python-apps team
       as Uploader.
     - Add SVN information.
  * debian/copyright:
     - Some formatting changes.

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Sun, 20 Jan 2008 21:34:55 +0100

fusion-icon (0.0.0+git20071028-0ubuntu2) hardy; urgency=low

  * patches/remove_shabangs.patch:
     - Remove Python shabangs
  * patches/update-desktop-file.patch:
     - Update .desktop file to match the current FD.o standards
     - Add Catalan and Spanish translations
     - Launch with the "--no-start" option, so that it doesn't reload
       Compiz when it's run from the menu
  * patches/glx_vendor_crash.patch:
     - Always define the self.glx_vendor variable, to avoid and
       AttributeError (LP: #175504)
  * Add a .xpm version of the icon (debian/fusion-icon.xpm) and a
    menu file (debian/menu, debian/install)
  * Symlink the .png icon to /usr/share/pixmaps, so that it's
    displayed in the menu and the tray (debian/links)
  * Add a manpage (debian/fusion-icon.1, debian/manpages)
  * debian/control:
     - Bump standards version to 3.7.3
     - Bump cdbs' and debhelper's minium versions.
     - Move python-central and intltool to Build-Depends-Indep
     - Add python-compizconfig dependency (LP: #174507)
     - Add python-qt4 as alternative dependency to python-gtk2
     - Change short description

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Tue, 11 Dec 2007 20:49:24 +0100

fusion-icon (0.0.0+git20071028-0ubuntu1) hardy; urgency=low

  * Initial upload.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun, 28 Oct 2007 11:28:19 -0400

=== debian/control ===
Source: fusion-icon
Section: x11
Priority: optional
Maintainer: Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Vcs-Svn: svn://svn.debian.org/python-apps/packages/fusion-icon/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/fusion-icon/trunk/
XS-Python-Version: all
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 5.0.51~), pkg-config, python-all-dev
Build-Depends-Indep: python-central (>= 0.6.0), intltool
Standards-Version: 3.7.3

Package: fusion-icon
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 python-gtk2 | python-qt4,
 python-compizconfig,
 x11-utils,
 mesa-utils,
 compiz-gtk | compiz-kde | compiz-gnome (>= 1:0.7.6)
Description: tray icon to launch and manage Compiz Fusion
 The OpenCompositing Project brings 3D desktop visual effects that
 improve the usability and eye candy of the X Window System and provide
 increased productivity.
 .
 This package contains a tray icon that allows you to easily enable, disable and
 restart Compiz, and change the currently used window manager and/or window
 decorator.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk

binary-install/fusion-icon::
	dh_desktop
	dh_icons

## fusion-icon 0.2.4

=== debian/changelog ===
fusion-icon (0.2.4-2) unstable; urgency=medium

  * watch: Fix URL.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 17:52:50 +0100

fusion-icon (0.2.4-1) unstable; urgency=medium

  * Upload to Debian (Closes: Bug#916850).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 21 Dec 2018 17:22:38 +0100

fusion-icon (0.2.4-0~stretch1) stretch; urgency=low

  * New upstream release.
  * Bump standards to version 3.9.8.
  * Remove debian patches.
  * Drop xdg desktop file.

 -- Jof Thibaut <compiz@tuxfamily.org>  Sun, 25 Jun 2017 11:56:43 +0200

fusion-icon (0.2.2-0~jessie2) jessie; urgency=low

  * Add xdg desktop file and install with setup.py.
  * Add gir1.2-gtk-3.0 and python-gi as depends.
  * Add compiz-gtk | emerald on depends to leave the choice
    of window manager.

 -- Jof Thibaut <compiz@tuxfamily.org>  Fri, 25 Mar 2016 15:56:55 +0100

fusion-icon (0.2.2-0~jessie1) jessie; urgency=low

  * New upstream release.
    - forked on Github : Compiz Reloaded
  * Switch to format 3.0 (quilt).
  * Add dh-python as build-depends and use dh_python2.
  * Update compat and rules to debhelper 9.
  * Bump standards to version 3.9.6.
  * Change Priority to optional.
  * Update copyright to format 1.0 and Homepage link.
  * Drop debian/menu not needed.
  * Update fusion-icon.1 manpage with new options.
  * Add gir1.2-appindicator3-0.1 as depends.
  * Remove python-gtk2 | python-qt4 on depends.

 -- Jof Thibaut <compiz@tuxfamily.org>  Fri, 11 Mar 2016 02:02:33 +0100

=== debian/control ===
Source: fusion-icon
Section: x11
Priority: optional
Maintainer: Hypra Team <bugs@hypra.fr>
Uploaders: Cyril Brulebois <cyril@debamax.com>, Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               intltool,
               pkg-config,
               python-all-dev
Standards-Version: 3.9.8
Homepage: https://github.com/compiz-reloaded/fusion-icon
Vcs-Git: https://salsa.debian.org/compiz-team/fusion-icon.git
Vcs-Browser: https://salsa.debian.org/compiz-team/fusion-icon

Package: fusion-icon
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         gir1.2-appindicator3-0.1,
         gir1.2-gtk-3.0,
         python-compizconfig (>= 0.8.14~0),
         python-gi,
         x11-utils,
         mesa-utils,
         compiz-gtk | emerald
Description: tray icon to launch and manage Compiz
 The OpenCompositing Project brings 3D desktop visual effects that
 improve the usability and eye candy of the X Window System and provide
 increased productivity.
 .
 This package contains a tray icon that allows you to easily enable, disable and
 restart Compiz, and change the currently used window manager and/or window
 decorator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh  $@ --with python2

override_dh_install:
# remove unneeded eeg-info files
	find $(CURDIR)/debian -type f -name '*.egg-info' | xargs rm -f
	dh_install

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fusion-icon-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/fusion-icon/tags .*/v?(\d\S*)\.tar\.gz
